USE COWS
GO

ALTER TABLE dbo.MDS_EVENT_SLNK_WIRED_TRPT
ADD [H6] CHAR(9) NULL
GO

UPDATE MES
SET H6 = ME.H6
FROM dbo.MDS_EVENT_SLNK_WIRED_TRPT MES INNER JOIN
dbo.MDS_EVENT ME WITH (NOLOCK) ON ME.EVENT_ID=MES.EVENT_ID
GO

UPDATE dbo.MDS_EVENT_SLNK_WIRED_TRPT SET H6='' WHERE H6 IS NULL
GO

ALTER TABLE dbo.MDS_EVENT_SLNK_WIRED_TRPT
ALTER COLUMN [H6] CHAR(9) NOT NULL
GO

ALTER TABLE arch.MDS_EVENT_SLNK_WIRED_TRPT
ADD [H6] CHAR(9) NULL
GO

UPDATE MES
SET H6 = ME.H6
FROM arch.MDS_EVENT_SLNK_WIRED_TRPT MES INNER JOIN
arch.MDS_EVENT ME WITH (NOLOCK) ON ME.EVENT_ID=MES.EVENT_ID
GO

UPDATE arch.MDS_EVENT_SLNK_WIRED_TRPT SET H6='' WHERE H6 IS NULL
GO

ALTER TABLE arch.MDS_EVENT_SLNK_WIRED_TRPT
ALTER COLUMN [H6] CHAR(9) NOT NULL
GO

